javax.media.j3d

## Class SoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.j3d.SoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class SoundException
      extends java.lang.RuntimeException

  Indicates a problem in loading or playing a sound sample.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundException()` Create the exception object with default values.
    `SoundException(java.lang.String str)` Create the exception object that outputs message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SoundException

          public SoundException()

      Create the exception object with default values.

    - #### SoundException

          public SoundException(java.lang.String str)

      Create the exception object that outputs message.
      Parameters:
        `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.